KRestrictedLine class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KRestrictedLine Class Reference

The KRestrictedLine widget is a variant of QLineEdit which accepts only a restricted set of characters as input. A line editor for restricted character sets. More...

`#include <krestrictedline.h>`

Inheritance diagram for KRestrictedLine:

[legend]
Collaboration diagram for KRestrictedLine:

[legend]
List of all members.

## Signals
void | invalidChar (int)
| Emitted when an invalid character was typed.
## Public Member Functions
| KRestrictedLine (QWidget *parent=0, const char *name=0, const QString &valid=QString::null)
| Constructor: This contructor takes three - optional - arguments.
| ~KRestrictedLine ()
| Destructs the restricted line editor.
void | setValidChars (const QString &valid)
| All characters in the string valid are treated as acceptable characters.
QString | validChars () const
## Protected Member Functions
void | keyPressEvent (QKeyEvent *e)
| Re-implemented for internal reasons.
virtual void | virtual_hook (int id, void *data)

## Detailed Description

The KRestrictedLine widget is a variant of QLineEdit which accepts only a restricted set of characters as input. A line editor for restricted character sets.

All other characters will be discarded and the signal invalidChar() will be emitted for each of them.

Valid characters can be passed as a QString to the constructor or set afterwards via setValidChars(). The default key bindings of QLineEdit are still in effect.

Author:
  Michael Wiedmann <mw@miwie.in-berlin.de>

Version:
  0.0.1

Definition at line 44 of file krestrictedline.h.

## Constructor & Destructor Documentation

KRestrictedLine::KRestrictedLine | ( | QWidget * | parent = 0,
|  | const char * | name = 0,
|  | const QString & | valid = QString::null
| ) |

  | Constructor: This contructor takes three - optional - arguments. The first two parameters are simply passed on to QLineEdit. Parameters:
  parent | pointer to the parent widget
  name | pointer to the name of this widget
  valid | pointer to set of valid characters
Definition at line 29 of file krestrictedline.cpp. References KStdAccel::name().

KRestrictedLine::~KRestrictedLine | ( |  | ) |

| Destructs the restricted line editor. Definition at line 37 of file krestrictedline.cpp.

## Member Function Documentation

void KRestrictedLine::setValidChars | ( | const QString & | valid | ) |

| All characters in the string valid are treated as acceptable characters. Definition at line 69 of file krestrictedline.cpp.

QString KRestrictedLine::validChars | ( |  | ) | const

| Returns: the string of acceptable characters. Definition at line 74 of file krestrictedline.cpp.

void KRestrictedLine::invalidChar | ( | int |  | ) | `[signal]`

| Emitted when an invalid character was typed. Referenced by keyPressEvent().

void KRestrictedLine::keyPressEvent | ( | QKeyEvent * | e | ) | `[protected, virtual]`

| Re-implemented for internal reasons. API not affected. See QLineEdit::keyPressEvent(). Reimplemented from KLineEdit. Definition at line 43 of file krestrictedline.cpp. References QKeyEvent::ascii(), QString::contains(), invalidChar(), QString::isEmpty(), QKeyEvent::key(), and QLineEdit::keyPressEvent().

The documentation for this class was generated from the following files:

- krestrictedline.h
- krestrictedline.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:04:34 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001